# DocsType

interface DocsType : Named

Attributes to qualify the type of documentation.

This attribute is usually found on variants that have the Category attribute valued at documentation.

#### Since

5.6

## Properties

DOCS_TYPE_ATTRIBUTE
Link copied to clipboard
val DOCS_TYPE_ATTRIBUTE: Attribute<DocsType>
DOXYGEN
Link copied to clipboard
val DOXYGEN: String = "doxygen"
The typical documentation for native APIs
JAVADOC
Link copied to clipboard
val JAVADOC: String = "javadoc"
The typical documentation for Java APIs
SAMPLES
Link copied to clipboard
val SAMPLES: String = "samples"
Samples illustrating how to use the software module
SOURCES
Link copied to clipboard
val SOURCES: String = "sources"
The source files of the module
USER_MANUAL
Link copied to clipboard
val USER_MANUAL: String = "user-manual"
A user manual

## Functions

getName
Link copied to clipboard
abstract fun getName(): String